# development-services

This docker-compose file generalizes some services that we use in tecnalia to monitor and debug containers in integration servers.
* traefik dashboard
* traefik api
* portainer
* keycloak to provide sso access to services

In future
* monitoring with telegraf
* monitoring db and render with infuxdb and grafana (this requires resources)

## Use
This docker compose is not planned to be used alone but as a resource in another docker compose projects by extending DOCKER_FILE variable.

```bash
export DOCKER_FILE=[...];path/docker-compose-tecnalia-selfsigned.yaml;path/docker-compose-dev.yaml  
```

## Resources
Besides the docker-composes we also provide some additional resources:
* traefik examples using the official or our customized traefik

## How to access
the entrypoints for the services will be in subdomains, asuming a base domain such as 192.168.56.1.nip.io:
* https://traefik.192.168.56.1.nip.io:8443/ to access traefik dashboard 
* https://traefik.192.168.56.1.nip.io:8443/api/http/routers to access traefik api 
* https://portainer.192.168.56.1.nip.io:8443/ to access portainer 
* https://auth.192.168.56.1.nip.io:8443/ to access keycloak 
* ...

