# eu.piacere.prc.client

FastAPI
- API version: 0.1.0
  - Build date: 2023-12-15T05:19:30.390898200+01:00[Europe/Madrid]

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)


*Automatically generated by the [OpenAPI Generator](https://openapi-generator.tech)*


## Requirements

Building the API client library requires:
1. Java 1.8+
2. Maven (3.8.3+)/Gradle (7.2+)

## Installation

To install the API client library to your local Maven repository, simply execute:

```shell
mvn clean install
```

To deploy it to a remote Maven repository instead, configure the settings of the repository and execute:

```shell
mvn clean deploy
```

Refer to the [OSSRH Guide](http://central.sonatype.org/pages/ossrh-guide.html) for more information.

### Maven users

Add this dependency to your project's POM:

```xml
<dependency>
  <groupId>eu.piacere</groupId>
  <artifactId>eu.piacere.prc.client</artifactId>
  <version>0.1.0</version>
  <scope>compile</scope>
</dependency>
```

### Gradle users

Add this dependency to your project's build file:

```groovy
  repositories {
    mavenCentral()     // Needed if the 'eu.piacere.prc.client' jar has been published to maven central.
    mavenLocal()       // Needed if the 'eu.piacere.prc.client' jar has been published to the local maven repo.
  }

  dependencies {
     implementation "eu.piacere:eu.piacere.prc.client:0.1.0"
  }
```

### Others

At first generate the JAR by executing:

```shell
mvn clean package
```

Then manually install the following JARs:

* `target/eu.piacere.prc.client-0.1.0.jar`
* `target/lib/*.jar`

## Getting Started

Please follow the [installation](#installation) instruction and execute the following Java code:

```java

// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    NewDeployment newDeployment = new NewDeployment(); // NewDeployment | 
    try {
      Object result = apiInstance.createNewDeploymentDeploymentsPost(newDeployment);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#createNewDeploymentDeploymentsPost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**createNewDeploymentDeploymentsPost**](docs/DefaultApi.md#createNewDeploymentDeploymentsPost) | **POST** /deployments | Create New Deployment
*DefaultApi* | [**getAllDeploymentsDeploymentsGet**](docs/DefaultApi.md#getAllDeploymentsDeploymentsGet) | **GET** /deployments | Get All Deployments
*DefaultApi* | [**getDeploymentDeploymentsDeploymentIdGet**](docs/DefaultApi.md#getDeploymentDeploymentsDeploymentIdGet) | **GET** /deployments/{deployment_id} | Get Deployment
*DefaultApi* | [**redeployDeploymentsDeploymentIdRedeployPost**](docs/DefaultApi.md#redeployDeploymentsDeploymentIdRedeployPost) | **POST** /deployments/{deployment_id}/redeploy | Redeploy
*DefaultApi* | [**selfHealingDeploymentsDeploymentIdSelfHealingPost**](docs/DefaultApi.md#selfHealingDeploymentsDeploymentIdSelfHealingPost) | **POST** /deployments/{deployment_id}/self-healing | Self Healing
*DefaultApi* | [**undeployDeploymentsDeploymentIdUndeployPost**](docs/DefaultApi.md#undeployDeploymentsDeploymentIdUndeployPost) | **POST** /deployments/{deployment_id}/undeploy | Undeploy


## Documentation for Models

 - [DeploymentBundle](docs/DeploymentBundle.md)
 - [DeploymentStatus](docs/DeploymentStatus.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [NewDeployment](docs/NewDeployment.md)
 - [SelfHealing](docs/SelfHealing.md)
 - [ValidationError](docs/ValidationError.md)


## Documentation for Authorization

All endpoints do not require authorization.
Authentication schemes defined for the API:

## Recommendation

It's recommended to create an instance of `ApiClient` per thread in a multithreaded environment to avoid any potential issues.

## Author



