# DefaultApi

All URIs are relative to *http://localhost*

| Method | HTTP request | Description |
|------------- | ------------- | -------------|
| [**createNewDeploymentDeploymentsPost**](DefaultApi.md#createNewDeploymentDeploymentsPost) | **POST** /deployments | Create New Deployment |
| [**getAllDeploymentsDeploymentsGet**](DefaultApi.md#getAllDeploymentsDeploymentsGet) | **GET** /deployments | Get All Deployments |
| [**getDeploymentDeploymentsDeploymentIdGet**](DefaultApi.md#getDeploymentDeploymentsDeploymentIdGet) | **GET** /deployments/{deployment_id} | Get Deployment |
| [**redeployDeploymentsDeploymentIdRedeployPost**](DefaultApi.md#redeployDeploymentsDeploymentIdRedeployPost) | **POST** /deployments/{deployment_id}/redeploy | Redeploy |
| [**selfHealingDeploymentsDeploymentIdSelfHealingPost**](DefaultApi.md#selfHealingDeploymentsDeploymentIdSelfHealingPost) | **POST** /deployments/{deployment_id}/self-healing | Self Healing |
| [**undeployDeploymentsDeploymentIdUndeployPost**](DefaultApi.md#undeployDeploymentsDeploymentIdUndeployPost) | **POST** /deployments/{deployment_id}/undeploy | Undeploy |


<a name="createNewDeploymentDeploymentsPost"></a>
# **createNewDeploymentDeploymentsPost**
> Object createNewDeploymentDeploymentsPost(newDeployment)

Create New Deployment

### Example
```java
// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    NewDeployment newDeployment = new NewDeployment(); // NewDeployment | 
    try {
      Object result = apiInstance.createNewDeploymentDeploymentsPost(newDeployment);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#createNewDeploymentDeploymentsPost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters

| Name | Type | Description  | Notes |
|------------- | ------------- | ------------- | -------------|
| **newDeployment** | [**NewDeployment**](NewDeployment.md)|  | |

### Return type

**Object**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Successful Response |  -  |
| **422** | Validation Error |  -  |

<a name="getAllDeploymentsDeploymentsGet"></a>
# **getAllDeploymentsDeploymentsGet**
> List&lt;DeploymentStatus&gt; getAllDeploymentsDeploymentsGet()

Get All Deployments

### Example
```java
// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    try {
      List<DeploymentStatus> result = apiInstance.getAllDeploymentsDeploymentsGet();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#getAllDeploymentsDeploymentsGet");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List&lt;DeploymentStatus&gt;**](DeploymentStatus.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Successful Response |  -  |

<a name="getDeploymentDeploymentsDeploymentIdGet"></a>
# **getDeploymentDeploymentsDeploymentIdGet**
> DeploymentStatus getDeploymentDeploymentsDeploymentIdGet(deploymentId)

Get Deployment

### Example
```java
// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    String deploymentId = "deploymentId_example"; // String | 
    try {
      DeploymentStatus result = apiInstance.getDeploymentDeploymentsDeploymentIdGet(deploymentId);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#getDeploymentDeploymentsDeploymentIdGet");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters

| Name | Type | Description  | Notes |
|------------- | ------------- | ------------- | -------------|
| **deploymentId** | **String**|  | |

### Return type

[**DeploymentStatus**](DeploymentStatus.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Successful Response |  -  |
| **422** | Validation Error |  -  |

<a name="redeployDeploymentsDeploymentIdRedeployPost"></a>
# **redeployDeploymentsDeploymentIdRedeployPost**
> Object redeployDeploymentsDeploymentIdRedeployPost(deploymentId)

Redeploy

### Example
```java
// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    String deploymentId = "deploymentId_example"; // String | 
    try {
      Object result = apiInstance.redeployDeploymentsDeploymentIdRedeployPost(deploymentId);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#redeployDeploymentsDeploymentIdRedeployPost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters

| Name | Type | Description  | Notes |
|------------- | ------------- | ------------- | -------------|
| **deploymentId** | **String**|  | |

### Return type

**Object**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Successful Response |  -  |
| **422** | Validation Error |  -  |

<a name="selfHealingDeploymentsDeploymentIdSelfHealingPost"></a>
# **selfHealingDeploymentsDeploymentIdSelfHealingPost**
> Object selfHealingDeploymentsDeploymentIdSelfHealingPost(deploymentId, selfHealing)

Self Healing

### Example
```java
// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    String deploymentId = "deploymentId_example"; // String | 
    SelfHealing selfHealing = new SelfHealing(); // SelfHealing | 
    try {
      Object result = apiInstance.selfHealingDeploymentsDeploymentIdSelfHealingPost(deploymentId, selfHealing);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#selfHealingDeploymentsDeploymentIdSelfHealingPost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters

| Name | Type | Description  | Notes |
|------------- | ------------- | ------------- | -------------|
| **deploymentId** | **String**|  | |
| **selfHealing** | [**SelfHealing**](SelfHealing.md)|  | |

### Return type

**Object**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Successful Response |  -  |
| **422** | Validation Error |  -  |

<a name="undeployDeploymentsDeploymentIdUndeployPost"></a>
# **undeployDeploymentsDeploymentIdUndeployPost**
> Object undeployDeploymentsDeploymentIdUndeployPost(deploymentId)

Undeploy

### Example
```java
// Import classes:
import eu.piacere.prc.client.ApiClient;
import eu.piacere.prc.client.ApiException;
import eu.piacere.prc.client.Configuration;
import eu.piacere.prc.client.models.*;
import eu.piacere.prc.client.api.DefaultApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("http://localhost");

    DefaultApi apiInstance = new DefaultApi(defaultClient);
    String deploymentId = "deploymentId_example"; // String | 
    try {
      Object result = apiInstance.undeployDeploymentsDeploymentIdUndeployPost(deploymentId);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DefaultApi#undeployDeploymentsDeploymentIdUndeployPost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters

| Name | Type | Description  | Notes |
|------------- | ------------- | ------------- | -------------|
| **deploymentId** | **String**|  | |

### Return type

**Object**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Successful Response |  -  |
| **422** | Validation Error |  -  |

