package com.piacere.selfhealing.backend.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import java.util.Map;

/**
 * Properties specific to Sh Backend.
 * <p>
 * Properties are configured in the {@code application.yml} file.
 * See {@link tech.jhipster.config.JHipsterProperties} for a good example.
 */
@Getter
@Setter
@ConfigurationProperties(prefix = "application", ignoreUnknownFields = true)
public class ApplicationProperties {
    private Map<String, String> addHosts;
    private Webhook webhook;
    private Strategy strategy;

    @Getter
    @Setter
    public static class Webhook {
        private Integer keepLastRequests;
    }

    @Getter
    @Setter
    public static class Strategy {
        private String repeatNotBefore = "PT24H";
    }
}
