package com.piacere.selfhealing.backend.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Map;

/**
 * Properties specific to Self Healing Service.
 * <p>
 * Properties are configured in the {@code application.yml} file.
 * See {@link tech.jhipster.config.JHipsterProperties} for a good example.
 */
@Configuration
@Getter
@Setter
@ConfigurationProperties(prefix = "prc", ignoreUnknownFields = true)
public class PrcProperties {
    private String url;
}
