package com.piacere.selfhealing.backend.repository;

import com.piacere.selfhealing.backend.domain.EventType;
import org.springframework.data.jpa.repository.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Spring Data SQL repository for the EventType entity.
 */
@SuppressWarnings("unused")
@Repository
public interface EventTypeRepository extends JpaRepository<EventType, Long> {
	/**
	 * Find eventtype by code
	 *
	 * @param code
	 * @return the eventtype with code provided
	 */
	public EventType findByCode(String code);
    public List<EventType> findAllByDeploymentId(Long deploymentId);
}
