package com.piacere.selfhealing.backend.service;

import java.util.List;
import java.util.Optional;

import com.piacere.selfhealing.backend.domain.SelfHealingMessage;
import com.piacere.selfhealing.backend.web.rest.errors.BadRequestAlertException;

public interface SelfHealingMessageService {
	/**
	 *
	 * @param selfHealingMessage
	 * @return
	 * @throws BadRequestAlertException
	 */
	SelfHealingMessage create(SelfHealingMessage selfHealingMessage);

	/**
	 *
	 * @param id
	 * @param selfHealingMessage
	 * @return
	 * @throws BadRequestAlertException
	 */
	SelfHealingMessage update(Long id, SelfHealingMessage selfHealingMessage);

	/**
	 *
	 * @param id
	 * @param selfHealingMessage
	 * @return
	 * @throws BadRequestAlertException
	 */
	Optional<SelfHealingMessage> patch(Long id, SelfHealingMessage selfHealingMessage);

	/**
	 *
	 * @return
	 */
	List<SelfHealingMessage> findAll();

	/**
	 *
	 * @param id
	 * @return
	 */
	Optional<SelfHealingMessage> find(Long id);

	/**
	 *
	 * @param id
	 */
	void delete(Long id);

	/**
	 * Process self healing message notification
	 *
	 * @param message message received
	 */
	void processMessage(SelfHealingMessage message) throws Exception;
}
