package com.piacere.selfhealing.backend.service.dto;

import java.io.Serializable;
import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel(description = "Deployment")
public class DeploymentDTO implements Serializable {

    @JsonProperty("deployment_id")
    private String deploymentId;

    @JsonProperty("deployment_bundle")
    private DeploymentDeploymentBundleDTO deploymentBundle;

    public DeploymentDTO deploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
        return this;
    }

    /**
     * id of the deployment
     * @return deploymentId
     */
    @ApiModelProperty(required = true, value = "id of the deployment")
    @NotNull


    public String getDeploymentId() {
        return deploymentId;
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public DeploymentDTO deploymentBundle(DeploymentDeploymentBundleDTO deploymentBundle) {
        this.deploymentBundle = deploymentBundle;
        return this;
    }

    /**
     * Get deploymentBundle
     * @return deploymentBundle
     */
    @ApiModelProperty(value = "")

    @Valid

    public DeploymentDeploymentBundleDTO getDeploymentBundle() {
        return deploymentBundle;
    }

    public void setDeploymentBundle(DeploymentDeploymentBundleDTO deploymentBundle) {
        this.deploymentBundle = deploymentBundle;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        DeploymentDTO deployment = (DeploymentDTO) o;
        return Objects.equals(this.deploymentId, deployment.deploymentId) &&
            Objects.equals(this.deploymentBundle, deployment.deploymentBundle);
    }

    @Override
    public int hashCode() {
        return Objects.hash(deploymentId, deploymentBundle);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class Deployment {\n");

        sb.append("    deploymentId: ").append(toIndentedString(deploymentId)).append("\n");
        sb.append("    deploymentBundle: ").append(toIndentedString(deploymentBundle)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }


}
