package com.piacere.selfhealing.backend.service.dto;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * deployment bundle
 */
@ApiModel(description = "deployment bundle")

public class DeploymentDeploymentBundleDTO   {
  @JsonProperty("base64")
  private String base64;

  public DeploymentDeploymentBundleDTO base64(String base64) {
    this.base64 = base64;
    return this;
  }

  /**
   * base64 encoded deployment bundle
   * @return base64
  */
  @ApiModelProperty(value = "base64 encoded deployment bundle")


  public String getBase64() {
    return base64;
  }

  public void setBase64(String base64) {
    this.base64 = base64;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeploymentDeploymentBundleDTO deploymentDeploymentBundle = (DeploymentDeploymentBundleDTO) o;
    return Objects.equals(this.base64, deploymentDeploymentBundle.base64);
  }

  @Override
  public int hashCode() {
    return Objects.hash(base64);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeploymentDeploymentBundle {\n");

    sb.append("    base64: ").append(toIndentedString(base64)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

