package com.piacere.selfhealing.backend;

import static com.tngtech.archunit.lang.syntax.ArchRuleDefinition.noClasses;

import com.tngtech.archunit.core.domain.JavaClasses;
import com.tngtech.archunit.core.importer.ClassFileImporter;
import com.tngtech.archunit.core.importer.ImportOption;
import org.junit.jupiter.api.Test;

class ArchTest {

    @Test
    void servicesAndRepositoriesShouldNotDependOnWebLayer() {
        JavaClasses importedClasses = new ClassFileImporter()
            .withImportOption(ImportOption.Predefined.DO_NOT_INCLUDE_TESTS)
            .importPackages("com.piacere.selfhealing.backend");

        noClasses()
            .that()
            .resideInAnyPackage("com.piacere.selfhealing.backend.service..")
            .or()
            .resideInAnyPackage("com.piacere.selfhealing.backend.repository..")
            .should()
            .dependOnClassesThat()
            .resideInAnyPackage("..com.piacere.selfhealing.backend.web..")
            .because("Services and repositories should not depend on web layer")
            .check(importedClasses);
    }
}
