import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: 'self-healing-message',
        data: { pageTitle: 'shGatewayApp.shBackendSelfHealingMessage.home.title' },
        loadChildren: () =>
          import('./shBackend/self-healing-message/self-healing-message.module').then(m => m.ShBackendSelfHealingMessageModule),
      },
      {
        path: 'event-type',
        data: { pageTitle: 'shGatewayApp.shBackendEventType.home.title' },
        loadChildren: () => import('./shBackend/event-type/event-type.module').then(m => m.ShBackendEventTypeModule),
      },
      {
        path: 'strategy',
        data: { pageTitle: 'shGatewayApp.shBackendStrategy.home.title' },
        loadChildren: () => import('./shBackend/strategy/strategy.module').then(m => m.ShBackendStrategyModule),
      },
      {
        path: 'deployment',
        data: { pageTitle: 'shGatewayApp.shBackendDeployment.home.title' },
        loadChildren: () => import('./shBackend/deployment/deployment.module').then(m => m.ShBackendDeploymentModule),
      },
      {
        path: 'strategy-application',
        data: { pageTitle: 'shGatewayApp.shBackendStrategyApplication.home.title' },
        loadChildren: () =>
          import('./shBackend/strategy-application/strategy-application.module').then(m => m.ShBackendStrategyApplicationModule),
      },
      /* jhipster-needle-add-entity-route - JHipster will add entity modules routes here */
    ]),
  ],
})
export class EntityRoutingModule {}
