import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { IDeployment } from '../deployment.model';
import { DeploymentService } from '../service/deployment.service';

@Component({
  templateUrl: './deployment-delete-dialog.component.html',
})
export class DeploymentDeleteDialogComponent {
  deployment?: IDeployment;

  constructor(protected deploymentService: DeploymentService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.deploymentService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
