import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IDeployment } from '../deployment.model';
import { DataUtils } from 'app/core/util/data-util.service';

@Component({
  selector: 'jhi-deployment-detail',
  templateUrl: './deployment-detail.component.html',
})
export class DeploymentDetailComponent implements OnInit {
  deployment: IDeployment | null = null;

  constructor(protected dataUtils: DataUtils, protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ deployment }) => {
      this.deployment = deployment;
    });
  }

  byteSize(base64String: string): string {
    return this.dataUtils.byteSize(base64String);
  }

  openFile(base64String: string, contentType: string | null | undefined): void {
    this.dataUtils.openFile(base64String, contentType);
  }

  previousState(): void {
    window.history.back();
  }
}
