import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { of } from 'rxjs';

import { DeploymentService } from '../service/deployment.service';

import { DeploymentComponent } from './deployment.component';

describe('Component Tests', () => {
  describe('Deployment Management Component', () => {
    let comp: DeploymentComponent;
    let fixture: ComponentFixture<DeploymentComponent>;
    let service: DeploymentService;

    beforeEach(() => {
      TestBed.configureTestingModule({
        imports: [HttpClientTestingModule],
        declarations: [DeploymentComponent],
      })
        .overrideTemplate(DeploymentComponent, '')
        .compileComponents();

      fixture = TestBed.createComponent(DeploymentComponent);
      comp = fixture.componentInstance;
      service = TestBed.inject(DeploymentService);

      const headers = new HttpHeaders().append('link', 'link;link');
      jest.spyOn(service, 'query').mockReturnValue(
        of(
          new HttpResponse({
            body: [{ id: 123 }],
            headers,
          })
        )
      );
    });

    it('Should call load all on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(service.query).toHaveBeenCalled();
      expect(comp.deployments?.[0]).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
