import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { DeploymentComponent } from '../list/deployment.component';
import { DeploymentDetailComponent } from '../detail/deployment-detail.component';
import { DeploymentUpdateComponent } from '../update/deployment-update.component';
import { DeploymentRoutingResolveService } from './deployment-routing-resolve.service';

const deploymentRoute: Routes = [
  {
    path: '',
    component: DeploymentComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: DeploymentDetailComponent,
    resolve: {
      deployment: DeploymentRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: DeploymentUpdateComponent,
    resolve: {
      deployment: DeploymentRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: DeploymentUpdateComponent,
    resolve: {
      deployment: DeploymentRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(deploymentRoute)],
  exports: [RouterModule],
})
export class DeploymentRoutingModule {}
