import { IStrategy } from 'app/entities/shBackend/strategy/strategy.model';
import { IDeployment } from 'app/entities/shBackend/deployment/deployment.model';

export interface IEventType {
  id?: number;
  code?: string;
  description?: string | null;
  strategy?: IStrategy | null;
  deployment?: IDeployment | null;
}

export class EventType implements IEventType {
  constructor(
    public id?: number,
    public code?: string,
    public description?: string | null,
    public strategy?: IStrategy | null,
    public deployment?: IDeployment | null
  ) {}
}

export function getEventTypeIdentifier(eventType: IEventType): number | undefined {
  return eventType.id;
}
