import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { ISelfHealingMessage } from '../self-healing-message.model';
import { SelfHealingMessageService } from '../service/self-healing-message.service';

@Component({
  templateUrl: './self-healing-message-delete-dialog.component.html',
})
export class SelfHealingMessageDeleteDialogComponent {
  selfHealingMessage?: ISelfHealingMessage;

  constructor(protected selfHealingMessageService: SelfHealingMessageService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.selfHealingMessageService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
