import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { ISelfHealingMessage } from '../self-healing-message.model';
import { DataUtils } from 'app/core/util/data-util.service';

@Component({
  selector: 'jhi-self-healing-message-detail',
  templateUrl: './self-healing-message-detail.component.html',
})
export class SelfHealingMessageDetailComponent implements OnInit {
  selfHealingMessage: ISelfHealingMessage | null = null;

  constructor(protected dataUtils: DataUtils, protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ selfHealingMessage }) => {
      this.selfHealingMessage = selfHealingMessage;
    });
  }

  byteSize(base64String: string): string {
    return this.dataUtils.byteSize(base64String);
  }

  openFile(base64String: string, contentType: string | null | undefined): void {
    this.dataUtils.openFile(base64String, contentType);
  }

  previousState(): void {
    window.history.back();
  }
}
