import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { of } from 'rxjs';

import { SelfHealingMessageService } from '../service/self-healing-message.service';

import { SelfHealingMessageComponent } from './self-healing-message.component';

describe('Component Tests', () => {
  describe('SelfHealingMessage Management Component', () => {
    let comp: SelfHealingMessageComponent;
    let fixture: ComponentFixture<SelfHealingMessageComponent>;
    let service: SelfHealingMessageService;

    beforeEach(() => {
      TestBed.configureTestingModule({
        imports: [HttpClientTestingModule],
        declarations: [SelfHealingMessageComponent],
      })
        .overrideTemplate(SelfHealingMessageComponent, '')
        .compileComponents();

      fixture = TestBed.createComponent(SelfHealingMessageComponent);
      comp = fixture.componentInstance;
      service = TestBed.inject(SelfHealingMessageService);

      const headers = new HttpHeaders().append('link', 'link;link');
      jest.spyOn(service, 'query').mockReturnValue(
        of(
          new HttpResponse({
            body: [{ id: 123 }],
            headers,
          })
        )
      );
    });

    it('Should call load all on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(service.query).toHaveBeenCalled();
      expect(comp.selfHealingMessages?.[0]).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
