import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { SelfHealingMessageComponent } from '../list/self-healing-message.component';
import { SelfHealingMessageDetailComponent } from '../detail/self-healing-message-detail.component';
import { SelfHealingMessageUpdateComponent } from '../update/self-healing-message-update.component';
import { SelfHealingMessageRoutingResolveService } from './self-healing-message-routing-resolve.service';

const selfHealingMessageRoute: Routes = [
  {
    path: '',
    component: SelfHealingMessageComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: SelfHealingMessageDetailComponent,
    resolve: {
      selfHealingMessage: SelfHealingMessageRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: SelfHealingMessageUpdateComponent,
    resolve: {
      selfHealingMessage: SelfHealingMessageRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: SelfHealingMessageUpdateComponent,
    resolve: {
      selfHealingMessage: SelfHealingMessageRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(selfHealingMessageRoute)],
  exports: [RouterModule],
})
export class SelfHealingMessageRoutingModule {}
