import * as dayjs from 'dayjs';
import { IEventType } from 'app/entities/shBackend/event-type/event-type.model';
import { Status } from 'app/entities/enumerations/status.model';

export interface ISelfHealingMessage {
  id?: number;
  timestamp?: dayjs.Dayjs | null;
  origin?: string;
  deploymentId?: string | null;
  status?: Status | null;
  error?: string | null;
  eventType?: IEventType | null;
}

export class SelfHealingMessage implements ISelfHealingMessage {
  constructor(
    public id?: number,
    public timestamp?: dayjs.Dayjs | null,
    public origin?: string,
    public deploymentId?: string | null,
    public status?: Status | null,
    public error?: string | null,
    public eventType?: IEventType | null
  ) {}
}

export function getSelfHealingMessageIdentifier(selfHealingMessage: ISelfHealingMessage): number | undefined {
  return selfHealingMessage.id;
}
