import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { IStrategyApplication } from '../strategy-application.model';
import { StrategyApplicationService } from '../service/strategy-application.service';

@Component({
  templateUrl: './strategy-application-delete-dialog.component.html',
})
export class StrategyApplicationDeleteDialogComponent {
  strategyApplication?: IStrategyApplication;

  constructor(protected strategyApplicationService: StrategyApplicationService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.strategyApplicationService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
