import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IStrategyApplication } from '../strategy-application.model';
import { DataUtils } from 'app/core/util/data-util.service';

@Component({
  selector: 'jhi-strategy-application-detail',
  templateUrl: './strategy-application-detail.component.html',
})
export class StrategyApplicationDetailComponent implements OnInit {
  strategyApplication: IStrategyApplication | null = null;

  constructor(protected dataUtils: DataUtils, protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ strategyApplication }) => {
      this.strategyApplication = strategyApplication;
    });
  }

  byteSize(base64String: string): string {
    return this.dataUtils.byteSize(base64String);
  }

  openFile(base64String: string, contentType: string | null | undefined): void {
    this.dataUtils.openFile(base64String, contentType);
  }

  previousState(): void {
    window.history.back();
  }
}
