import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { of } from 'rxjs';

import { StrategyApplicationService } from '../service/strategy-application.service';

import { StrategyApplicationComponent } from './strategy-application.component';

describe('Component Tests', () => {
  describe('StrategyApplication Management Component', () => {
    let comp: StrategyApplicationComponent;
    let fixture: ComponentFixture<StrategyApplicationComponent>;
    let service: StrategyApplicationService;

    beforeEach(() => {
      TestBed.configureTestingModule({
        imports: [HttpClientTestingModule],
        declarations: [StrategyApplicationComponent],
      })
        .overrideTemplate(StrategyApplicationComponent, '')
        .compileComponents();

      fixture = TestBed.createComponent(StrategyApplicationComponent);
      comp = fixture.componentInstance;
      service = TestBed.inject(StrategyApplicationService);

      const headers = new HttpHeaders().append('link', 'link;link');
      jest.spyOn(service, 'query').mockReturnValue(
        of(
          new HttpResponse({
            body: [{ id: 123 }],
            headers,
          })
        )
      );
    });

    it('Should call load all on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(service.query).toHaveBeenCalled();
      expect(comp.strategyApplications?.[0]).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
