import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { StrategyApplicationComponent } from '../list/strategy-application.component';
import { StrategyApplicationDetailComponent } from '../detail/strategy-application-detail.component';
import { StrategyApplicationUpdateComponent } from '../update/strategy-application-update.component';
import { StrategyApplicationRoutingResolveService } from './strategy-application-routing-resolve.service';

const strategyApplicationRoute: Routes = [
  {
    path: '',
    component: StrategyApplicationComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: StrategyApplicationDetailComponent,
    resolve: {
      strategyApplication: StrategyApplicationRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: StrategyApplicationUpdateComponent,
    resolve: {
      strategyApplication: StrategyApplicationRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: StrategyApplicationUpdateComponent,
    resolve: {
      strategyApplication: StrategyApplicationRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(strategyApplicationRoute)],
  exports: [RouterModule],
})
export class StrategyApplicationRoutingModule {}
