import * as dayjs from 'dayjs';
import { IStrategy } from 'app/entities/shBackend/strategy/strategy.model';
import { IDeployment } from 'app/entities/shBackend/deployment/deployment.model';

export interface IStrategyApplication {
  id?: number;
  timestamp?: dayjs.Dayjs | null;
  summary?: string | null;
  bundleContentType?: string | null;
  bundle?: string | null;
  strategy?: IStrategy | null;
  deployment?: IDeployment | null;
}

export class StrategyApplication implements IStrategyApplication {
  constructor(
    public id?: number,
    public timestamp?: dayjs.Dayjs | null,
    public summary?: string | null,
    public bundleContentType?: string | null,
    public bundle?: string | null,
    public strategy?: IStrategy | null,
    public deployment?: IDeployment | null
  ) {}
}

export function getStrategyApplicationIdentifier(strategyApplication: IStrategyApplication): number | undefined {
  return strategyApplication.id;
}
