import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { IStrategy } from '../strategy.model';
import { StrategyService } from '../service/strategy.service';

@Component({
  templateUrl: './strategy-delete-dialog.component.html',
})
export class StrategyDeleteDialogComponent {
  strategy?: IStrategy;

  constructor(protected strategyService: StrategyService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.strategyService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
