import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IStrategy } from '../strategy.model';
import { DataUtils } from 'app/core/util/data-util.service';

@Component({
  selector: 'jhi-strategy-detail',
  templateUrl: './strategy-detail.component.html',
})
export class StrategyDetailComponent implements OnInit {
  strategy: IStrategy | null = null;

  constructor(protected dataUtils: DataUtils, protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ strategy }) => {
      this.strategy = strategy;
    });
  }

  byteSize(base64String: string): string {
    return this.dataUtils.byteSize(base64String);
  }

  openFile(base64String: string, contentType: string | null | undefined): void {
    this.dataUtils.openFile(base64String, contentType);
  }

  previousState(): void {
    window.history.back();
  }
}
