import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpHeaders, HttpResponse } from '@angular/common/http';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { of } from 'rxjs';

import { StrategyService } from '../service/strategy.service';

import { StrategyComponent } from './strategy.component';

describe('Component Tests', () => {
  describe('Strategy Management Component', () => {
    let comp: StrategyComponent;
    let fixture: ComponentFixture<StrategyComponent>;
    let service: StrategyService;

    beforeEach(() => {
      TestBed.configureTestingModule({
        imports: [HttpClientTestingModule],
        declarations: [StrategyComponent],
      })
        .overrideTemplate(StrategyComponent, '')
        .compileComponents();

      fixture = TestBed.createComponent(StrategyComponent);
      comp = fixture.componentInstance;
      service = TestBed.inject(StrategyService);

      const headers = new HttpHeaders().append('link', 'link;link');
      jest.spyOn(service, 'query').mockReturnValue(
        of(
          new HttpResponse({
            body: [{ id: 123 }],
            headers,
          })
        )
      );
    });

    it('Should call load all on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(service.query).toHaveBeenCalled();
      expect(comp.strategies?.[0]).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
