import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { StrategyComponent } from '../list/strategy.component';
import { StrategyDetailComponent } from '../detail/strategy-detail.component';
import { StrategyUpdateComponent } from '../update/strategy-update.component';
import { StrategyRoutingResolveService } from './strategy-routing-resolve.service';

const strategyRoute: Routes = [
  {
    path: '',
    component: StrategyComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: StrategyDetailComponent,
    resolve: {
      strategy: StrategyRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: StrategyUpdateComponent,
    resolve: {
      strategy: StrategyRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: StrategyUpdateComponent,
    resolve: {
      strategy: StrategyRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(strategyRoute)],
  exports: [RouterModule],
})
export class StrategyRoutingModule {}
